import { exec, execSync } from "child_process"
import printDebug from "./DebugPrint";
import util from "util";
const execPromise =util.promisify(exec);

const tryGetCompilerVersion =(path:string,command:string):string=>{
    const exec_command = `${path} ${command}`
    printDebug(exec_command)
    return execSync(exec_command).toString().trim()
}

export default tryGetCompilerVersion